include(FindPackageHandleStandardArgs)

if(SADEL_INCLUDE_DIR AND SADEL_LIBRARY)
set(SADEL_FIND_QUIETLY TRUE)
endif(SADEL_INCLUDE_DIR AND SADEL_LIBRARY)

if(${CMAKE_SYSTEM_NAME} STREQUAL Windows)
set(LIB_PATH "$ENV{PROGRAMFILES}\\sadel\\lib")
set(LIB_INCLUDE_PATH "$ENV{PROGRAMFILES}\\sadel\\include")

elseif(${CMAKE_SYSTEM_NAME} STREQUAL Linux)
set(LIB_PATH ${CMAKE_INSTALL_PREFIX}/lib/sadel)
set(LIB_INCLUDE_PATH ${CMAKE_INSTALL_PREFIX}/include)
endif()

message(STATUS "sadel library path: " ${LIB_PATH} ")
message(STATUS "sadel include path: " ${LIB_INCLUDE_PATH} ")

find_path(SADEL_INCLUDE_DIR sadel.h ${LIB_INCLUDE_PATH} )
find_library(SADEL_LIBRARY sadel ${LIB_PATH} )
find_package_handle_standard_args(sadel DEFAULT_MSG SADEL_LIBRARY SADEL_INCLUDE_DIR)
mark_as_advanced(SADEL_LIBRARY)
